<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.4.2.1
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.4.2.1">
   <title>Spezimen-Section</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.1']]
Item: (TMP SpezimenSection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.1']]/hl7:section
Item: (TMP SpezimenSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.1']]/hl7:section"
         id="tmp-9f34cc9a-610c-4d81-9d7d-5040ce3b62ff">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@classCode='DOCSECT' ">(TMP SpezimenSection): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.2.1'])&gt;=1 ">(TMP SpezimenSection): Element hl7:templateId[@root='1.2.40.0.34.11.4.2.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.2.1'])&lt;=1">(TMP SpezimenSection): Element hl7:templateId[@root='1.2.40.0.34.11.4.2.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP SpezimenSection): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:code)&lt;=1">(TMP SpezimenSection): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(TMP SpezimenSection): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:title)&lt;=1">(TMP SpezimenSection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:entry[hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]])&lt;=1">(TMP SpezimenSection): Element hl7:entry[hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.1']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.4.2.1']
Item: (TMP SpezimenSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.1']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.4.2.1']"
         id="tmp-2bfd26dd-9a4c-4d1a-80e5-1ced190c2e56">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP SpezimenSection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@root='1.2.40.0.34.11.4.2.1'">(TMP SpezimenSection): @root MUSS den Wert '1.2.40.0.34.11.4.2.1' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SpezimenSection): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.1']]/hl7:section/hl7:code
Item: (TMP SpezimenSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.1']]/hl7:section/hl7:code"
         id="tmp-89a2d489-287c-485f-9164-d078979842f8">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP SpezimenSection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CD" oder der Datentype MUSS "CD" sein</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or (@code='10' and @codeSystem='1.2.40.0.34.5.47' and @displayName='Probeninformation' and @codeSystemName='ELGA_Laborstruktur')">(TMP SpezimenSection): Der Wert von @code/@codeSystem MUSS '10' codeSystem '1.2.40.0.34.5.47' displayName='Probeninformation' codeSystemName='ELGA_Laborstruktur' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.1']]/hl7:section/hl7:title
Item: (TMP SpezimenSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.1']]/hl7:section/hl7:title"
         id="tmp-8ac45e3d-f038-4689-97b7-a00de8c10509">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP SpezimenSection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="text()='Probeninformation'">(TMP SpezimenSection): Der Elementinhalt von 'hl7:title' MUSS ''Probeninformation'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.1']]/hl7:section/hl7:entry[hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]]
Item: (TMP SpezimenSection)
-->











<!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.1']]/hl7:section/hl7:entry[hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]]
Item: (TMP SpezimenSection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]
Item: (TMP SpezimenSection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry"
         id="tmp-cc0bd194-b662-4511-826a-8c01c3209de1">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.3.1'])&gt;=1 ">(TMP SpezimenSection): Element hl7:templateId[@root='1.2.40.0.34.11.4.3.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.3.1'])&lt;=1">(TMP SpezimenSection): Element hl7:templateId[@root='1.2.40.0.34.11.4.3.1'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:templateId[@root='1.2.40.0.34.11.4.3.1']
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:templateId[@root='1.2.40.0.34.11.4.3.1']"
         id="tmp-4c699510-fb86-4a3b-bb10-9900c6683c7e">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP SpezimenSection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@root='1.2.40.0.34.11.4.3.1'">(TMP SpezimenSection): @root MUSS den Wert '1.2.40.0.34.11.4.3.1' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SpezimenSection): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act"
         id="tmp-fb43fe81-53b8-49a4-960e-7e43a3e3809d">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@classCode='ACT' ">(TMP SpezimenSection): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@moodCode='EVN' ">(TMP SpezimenSection): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP SpezimenSection): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:code)&lt;=1">(TMP SpezimenSection): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]])&gt;=1 and not(hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/@nullFlavor)">(TMP SpezimenSection): Element hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(TMP SpezimenSection): Element hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:code
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:code"
         id="tmp-97e2e730-51da-475e-a25d-d5ca063c310c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP SpezimenSection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CD" oder der Datentype MUSS "CD" sein</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or (@code='10' and @codeSystem='1.2.40.0.34.5.47' and @displayName='Probeninformation' and @codeSystemName='ELGA_Laborstruktur')">(TMP SpezimenSection): Der Wert von @code/@codeSystem MUSS '10' codeSystem '1.2.40.0.34.5.47' displayName='Probeninformation' codeSystemName='ELGA_Laborstruktur' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (TMP SpezimenSection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (TMP SpezimenSection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (TMP SpezimenSection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure"
         id="tmp-49463a28-d97e-4fa0-8d0a-fb1feb5c2931">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@classCode='PROC' ">(TMP SpezimenSection): Der Wert von @classCode MUSS 'PROC' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@moodCode='EVN' ">(TMP SpezimenSection): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'])&gt;=1 ">(TMP SpezimenSection): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'])&lt;=1">(TMP SpezimenSection): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP SpezimenSection): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:code)&lt;=1">(TMP SpezimenSection): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(TMP SpezimenSection): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP SpezimenSection): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:targetSiteCode)&lt;=1">(TMP SpezimenSection): Element hl7:targetSiteCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:perfomer)&lt;=1">(TMP SpezimenSection): Element hl7:perfomer kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">(TMP SpezimenSection): Element hl7:participant ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:participant)&lt;=1">(TMP SpezimenSection): Element hl7:participant kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']"
         id="tmp-07748323-cb36-4592-9bb6-4975be354a38">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP SpezimenSection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@root='1.3.6.1.4.1.19376.1.3.1.2'">(TMP SpezimenSection): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.1.2' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SpezimenSection): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:code
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:code"
         id="tmp-8ccd5b0b-1e36-40f6-bc5f-b35682f13e38">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP SpezimenSection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CD" oder der Datentype MUSS "CD" sein</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or (@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Specimen Collection' and @codeSystemName='LOINC')">(TMP SpezimenSection): Der Wert von @code/@codeSystem MUSS '33882-2' codeSystem '2.16.840.1.113883.6.1' displayName='Specimen Collection' codeSystemName='LOINC' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime"
         id="tmp-dc3102b2-9759-4d63-8e3f-d5a737a0a276">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP SpezimenSection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_TS" oder der Datentype MUSS "IVL_TS" sein</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(TMP SpezimenSection): Element hl7:low ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:low)&lt;=1">(TMP SpezimenSection): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(TMP SpezimenSection): Element hl7:high ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:high)&lt;=1">(TMP SpezimenSection): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime/hl7:low
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime/hl7:low"
         id="tmp-8f132030-719b-4c01-a452-6d1afeccb2e1">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SpezimenSection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TS" oder der Datentype MUSS "TS" sein</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime/hl7:high
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime/hl7:high"
         id="tmp-14acbdfd-f203-466f-a9cc-d64c0a844491">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SpezimenSection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TS" oder der Datentype MUSS "TS" sein</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:targetSiteCode
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:targetSiteCode"
         id="tmp-34883289-31a5-48a2-b6e0-6d28e268c31b">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP SpezimenSection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CD" oder der Datentype MUSS "CD" sein</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1052' and @codeSystemName='ActSite')">(TMP SpezimenSection): Der Wert von @codeSystem MUSS '2.16.840.1.113883.5.1052' codeSystemName='ActSite' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer"
         id="tmp-ed2f4477-f837-4dee-986d-80d070a44652">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@typeCode='PRF' ">(TMP SpezimenSection): Der Wert von @typeCode MUSS 'PRF' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(TMP SpezimenSection): Element hl7:assignedEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:assignedEntity)&lt;=1">(TMP SpezimenSection): Element hl7:assignedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity
Item: (TMP SpezimenSection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:id
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:id"
         id="tmp-138e85ec-6b29-4269-bd0c-1f22f4911fad">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP SpezimenSection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:addr
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:addr"
         id="tmp-9525f517-b5f8-4ebe-9237-1749a68c7459">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(TMP SpezimenSection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "AD" oder der Datentype MUSS "AD" sein</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:telecom
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:telecom"
         id="tmp-bf242a2a-5091-418e-867a-4b87e8b6e072">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(TMP SpezimenSection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-c7fe96c5-11d7-48a9-bca1-965e70b35e8c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@classCode='PSN' or not(@classCode)">(TMP SpezimenSection): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(TMP SpezimenSection): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-6d262db6-ab16-44d3-93e7-0cd198f4813f">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(TMP SpezimenSection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "PN" oder der Datentype MUSS "PN" sein</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-1c752400-0ea8-4ee2-a4c3-cf83e589d4bf">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@classCode='ORG' or not(@classCode)">(TMP SpezimenSection): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(TMP SpezimenSection): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-c9b0fc47-da29-4ae0-acc1-0270528e3201">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP SpezimenSection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-160c1770-a2f4-4d67-9409-4686d66d5484">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">(TMP SpezimenSection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ON" oder der Datentype MUSS "ON" sein</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-dfa9135d-82e0-4291-a423-e881564dbe14">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(TMP SpezimenSection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-2a4ee61b-1ea6-4af9-8120-74c1b50e684a">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(TMP SpezimenSection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "AD" oder der Datentype MUSS "AD" sein</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant"
         id="tmp-2026e7eb-8654-4fb9-87aa-0cbd396d13f5">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@typeCode='PRD' ">(TMP SpezimenSection): Der Wert von @typeCode MUSS 'PRD' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:participantRole)&gt;=1 and not(hl7:participantRole/@nullFlavor)">(TMP SpezimenSection): Element hl7:participantRole ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:participantRole)&lt;=1">(TMP SpezimenSection): Element hl7:participantRole kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole"
         id="tmp-595db006-6cf5-4146-aaac-79afe2eeccf5">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@classCode='SPEC' ">(TMP SpezimenSection): Der Wert von @classCode MUSS 'SPEC' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP SpezimenSection): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:id)&lt;=1">(TMP SpezimenSection): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:playingEntity)&gt;=1 and not(hl7:playingEntity/@nullFlavor)">(TMP SpezimenSection): Element hl7:playingEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:playingEntity)&lt;=1">(TMP SpezimenSection): Element hl7:playingEntity kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:id
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:id"
         id="tmp-c2a5c1dc-a0ca-4172-aed0-b3e37effced6">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP SpezimenSection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:playingEntity
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:playingEntity"
         id="tmp-2bc7098e-bb6f-4c0d-a84a-c04832181857">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP SpezimenSection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP SpezimenSection): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:code)&lt;=1">(TMP SpezimenSection): Element hl7:code kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:playingEntity/hl7:code
Item: (TMP SpezimenSection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:playingEntity/hl7:code"
         id="tmp-8d76f7af-bcd8-4611-a802-e484c266e38d">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SpezimenSection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>